Bug 1315828 - Current CentOS 7 builds of ovirt-node don't work on EFI hosts
Current CentOS 7 builds of ovirt-node don't work on EFI hosts
Product: ovirt-node
Classification: oVirt
Component: Build (Show other bugs)
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Ryan Barry
Ying Cui
Depends On:
  Show dependency treegraph
Reported: 2016-03-08 12:35 EST by Shafer Stockton
Modified: 2016-03-22 05:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-22 05:37:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
fdeutsch: devel_ack+
rule-engine: testing_ack?

Attachments (Terms of Use)

  None (edit)
Description Shafer Stockton 2016-03-08 12:35:54 EST
Description of problem:
The install errors out and says no such file or directory and fails to complete.

How reproducible:
Very reproducible.

Steps to Reproduce:
1. Boot CentOS 7 ovirt-node ISO on an EFI enabled host
2. Attempt to install
3. Get the error and install dies

Actual results:
Failure to install

Expected results:
Install completes

Additional info:
I spent some time digging in to this and determined that the /etc/system-release-cpe file was being set incorrectly. The centos7-post.ks file needs to be updated on line 108 to reflect centos instead of redhat. The $MAJORVER is also being set improperly, but I'm not sure where to tweak that.

If I boot the installer and start the rescue shell I can modify /etc/system-release-cpe. After I change it to reflect the correct distribution and major version number I can start the installer over and things complete as expected.
Comment 1 Red Hat Bugzilla Rules Engine 2016-03-09 04:52:36 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 2 Fabian Deutsch 2016-03-22 05:37:40 EDT
This will be fixed in oVirt Node Next, expect a pre-release soon.

Note You need to log in before you can comment on or make changes to this bug.